#!/usr/bin/env node
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const buildMeshPackage_1 = require("../buildMeshPackage");
const minimist = __importStar(require("minimist"));
const buildEnvoyPackage_1 = require("../buildEnvoyPackage");
function main() {
    const argv = minimist.default(process.argv.slice(2), {
        boolean: [
            // build mesh package
            'meshPackage',
            // build envoy package
            'envoyPackage',
        ],
        default: {
            meshPackage: false,
            envoyPackage: false,
        }
    });
    if (argv.meshPackage) {
        buildMeshPackage_1.buildMeshPackage();
    }
    if (argv.envoyPackage) {
        buildEnvoyPackage_1.buildEnvoyPackage();
    }
}
main();
