var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
// Make sure any symlinks in the project folder are resolved:
// https://github.com/facebookincubator/create-react-app/issues/637
const appDirectory = fs.realpathSync(process.cwd());
/**
 * Resolve a relative path to app directory
 *
 * @param relativePath - the given relative path
 */
function resolveApp(relativePath) {
    return path.resolve(appDirectory, relativePath);
}
/**
 * Resolve a relative path to current own directory
 *
 * @param relativePath - the given relative path
 */
function resolveOwn(relativePath) {
    return path.resolve(__dirname, '..', relativePath);
}
const appTestEntry = resolveApp('test/index.js');
const appEntry = resolveApp('src/index.js');
const appEnvoyRollupConfig = resolveApp('bld/config/rollup.envoy');
const appDist = resolveApp('dist');
const appSrc = resolveApp('src');
const appZip = resolveApp('zip');
const appNodeModules = resolveApp('node_modules');
const appOutput = resolveApp('dist/package.js');
const appResource = resolveApp('src/resource');
const appDistResource = resolveApp('dist/resource');
const appEnvoyConfig = resolveApp('envoy.config.js');
const ownEslintConfig = resolveOwn('./config/eslintconfig');
const paths = {
    appTestEntry,
    appEnvoyRollupConfig,
    appEntry,
    appDist,
    appSrc,
    appZip,
    appNodeModules,
    appOutput,
    appResource,
    appDistResource,
    appEnvoyConfig,
    ownEslintConfig,
};
exports.paths = paths;
