Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("./path");
const babel = require('rollup-plugin-babel');
const nodeResolve = require('rollup-plugin-node-resolve');
const commonjs = require('rollup-plugin-commonjs');
const serve = require('rollup-plugin-serve');
const replace = require('rollup-plugin-replace');
const eslint = require('rollup-plugin-eslint');
const config = {
    input: path_1.paths.appEntry,
    output: {
        dir: "dist",
        strict: false,
    },
    plugins: [
        eslint({
            configFile: path_1.paths.ownEslintConfig,
            useEslintrc: false,
            include: ['src/**'],
            exclude: ['node_modules/**', 'dist/**']
        }),
        nodeResolve({
            module: false,
            main: true,
            preferBuiltins: true
        }),
        babel({
            exclude: 'node_modules/**',
        }),
        commonjs({
            include: /node_modules/
        }),
        replace({
            'process.env.NODE_ENV': JSON.stringify('devlopment'),
            'process.env.BUILD_VERSION': JSON.stringify(process.env.BUILD_VERSION)
        }),
        serve({
            contentBase: path_1.paths.appZip,
            host: 'localhost',
            port: 3000
        })
    ]
};
exports.default = config;
