Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("./path");
const babel = require('rollup-plugin-babel');
const nodeResolve = require('rollup-plugin-node-resolve');
const commonjs = require('rollup-plugin-commonjs');
const replace = require('rollup-plugin-replace');
const eslint = require('rollup-plugin-eslint');
const config = {
    input: 'src/index.js',
    output: {
        dir: "dist",
        strict: false,
    },
    plugins: [
        eslint({
            configFile: path_1.paths.ownEslintConfig,
            useEslintrc: false,
            include: ['src/**'],
            exclude: ['node_modules/**', 'dist/**']
        }),
        babel({
            exclude: 'node_modules/**',
        }),
        nodeResolve({
            module: false,
            main: true
        }),
        commonjs({
            include: 'node_modules/**'
        }),
        replace({
            'process.env.NODE_ENV': JSON.stringify('production'),
            'process.env.BUILD_VERSION': JSON.stringify(process.env.BUILD_VERSION)
        })
    ]
};
exports.default = config;
