var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("../config/path");
const StyledText_1 = require("./StyledText");
const path = require('path');
const packageJsonFile = path.join(path_1.paths.appNodeModules, 'mesh-envoy/package.json');
let localPackage;
try {
    localPackage = require(packageJsonFile);
}
catch (e) {
    console.log(`File ${StyledText_1.StyledText.blue(packageJsonFile)} doesnt exist`);
}
/**
 * Check version of current mesh-envoy
 */
function checkVersion() {
    return __awaiter(this, void 0, void 0, function* () {
        return fetch('https://registry.npmjs.org/mesh-envoy')
            .then(res => {
            if (res.status >= 400) {
                return;
            }
            return res.json();
        })
            .then(data => {
            if (data) {
                const localVersion = localPackage.version;
                const remoteVersion = data['dist-tags'].latest;
                if (localVersion === remoteVersion) {
                    return false;
                }
                else {
                    return {
                        local: localVersion,
                        remote: remoteVersion
                    };
                }
            }
        })
            .catch(e => {
            console.log(e);
        });
    });
}
exports.checkVersion = checkVersion;
